Skip to main content

Classification Tree

Base URL: https://api.covasoft.net/productlibrary

Endpoints​

EndpointDescription
GET v1/Companies({CompanyId})/ClassificationTreesReturns the Classification Tree for a Company, as a collection
GET v1/Companies({CompanyId})/ClassificationTrees({treeId})Returns a single Classification Tree for a Company
GET v1/Companies({CompanyId})/ProductTemplatesReturns all the Product Templates available to a Company
GET v1/Companies({CompanyId})/ProductTemplates({id})Returns a single Product Template, including its Field Groups and Field Definitions
GET v1/Companies({CompanyId})/FieldDefinitionsReturns all the Field Definitions available to a Company
GET v1/Companies({CompanyId})/FieldDefinitions({id})Returns a single Field Definition

GET v1/Companies({CompanyId})/ClassificationTrees​

Returns the Classification Tree for a Company, as a collection

Base URL:​

https://api.covasoft.net/productlibrary/

Example of a call would be:​

https://api.covasoft.net/productlibrary/v1/Companies({CompanyId})/ClassificationTrees

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding packageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

A collection of Classification Trees. A Company has only one Classification Tree, so the collection always contains a single item.

Collection of ClassificationTree

NameDescriptionTypeAdditional information
IdUnique identifier of the Classification TreeintegerNone.
NameName of the Classification TreestringNone.
IsCanonicalWhether this is the canonical Cova Classification Tree rather than a Company's ownbooleanNone.
DescriptionDescription of the Classification TreestringNone.
OwnerThe Company that owns the Classification TreeOwnerNone.
CategoriesTop-level Categories in the treeCollection of CategoryNone.
ClassificationsClassifications that sit directly under the root of the tree, outside of any CategoryCollection of ClassificationNone.
IsPrivateWhether the Classification Tree is private to the CompanybooleanNone.
VersionVersion of the Classification TreeintegerNone.

Response Formats​

application/json, text/json

Nested Categories and the Classifications list are shortened in this sample.

[
{
"Id": 3539,
"Name": "Contigo Canna",
"IsCanonical": false,
"Description": null,
"Owner": {
"Id": 539009,
"Name": "Contigo Canna"
},
"Categories": [
{
"Id": 3542,
"Name": "Merchandise",
"Order": 5,
"Categories": [],
"Classifications": [
{
"Id": 3547,
"Name": "Accessories",
"Order": 1,
"ProductTemplate": {
"Id": 1186,
"Name": "Basic SK"
}
}
]
}
],
"Classifications": [
{
"Id": 3540,
"Name": "Flowers",
"Order": 1,
"ProductTemplate": {
"Id": 1186,
"Name": "Basic SK"
}
},
{
"Id": 3541,
"Name": "Oils and Concentrates",
"Order": 2,
"ProductTemplate": {
"Id": 1185,
"Name": "Strains SK"
}
}
],
"IsPrivate": true,
"Version": 0
}
]

Models​

Owner
NameDescriptionTypeAdditional information
IdUnique identifier of the owning CompanyintegerNone.
NameName of the owning CompanystringNone.
Category

A grouping of Classifications and other Categories. Categories can be nested to any depth.

NameDescriptionTypeAdditional information
IdUnique identifier of the CategoryintegerNone.
NameName of the CategorystringNone.
OrderDisplay position among its siblingsintegerNone.
CategoriesChild CategoriesCollection of CategoryNone.
ClassificationsClassifications in this CategoryCollection of ClassificationNone.
Classification

A group of Products that share a Product Template.

NameDescriptionTypeAdditional information
IdUnique identifier of the ClassificationintegerNone.
NameName of the ClassificationstringNone.
OrderDisplay position among its siblingsintegerNone.
ProductTemplateThe Product Template used by Products in this ClassificationProductTemplateNone.
ProductTemplate
NameDescriptionTypeAdditional information
IdUnique identifier of the Product TemplateintegerNone.
NameName of the Product TemplatestringNone.

GET v1/Companies({CompanyId})/ClassificationTrees({treeId})​

Returns a single Classification Tree for a Company

Base URL:​

https://api.covasoft.net/productlibrary/

Example of a call would be:​

https://api.covasoft.net/productlibrary/v1/Companies({CompanyId})/ClassificationTrees({treeId})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding packageintegerRequired
treeIdThe Id of the Classification Tree, as returned by the ClassificationTrees call or the ClassificationTreeId in the product details callintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

The Classification Tree, with all of its Categories and Classifications.

ClassificationTree

NameDescriptionTypeAdditional information
IdUnique identifier of the Classification TreeintegerNone.
NameName of the Classification TreestringNone.
IsCanonicalWhether this is the canonical Cova Classification Tree rather than a Company's ownbooleanNone.
DescriptionDescription of the Classification TreestringNone.
OwnerThe Company that owns the Classification TreeOwnerNone.
CategoriesTop-level Categories in the treeCollection of CategoryNone.
ClassificationsClassifications that sit directly under the root of the tree, outside of any CategoryCollection of ClassificationNone.
IsPrivateWhether the Classification Tree is private to the CompanybooleanNone.
VersionVersion of the Classification TreeintegerNone.

Response Formats​

application/json, text/json

Nested Categories and the Classifications list are shortened in this sample.

{
"Id": 3539,
"Name": "Contigo Canna",
"IsCanonical": false,
"Description": null,
"Owner": {
"Id": 539009,
"Name": "Contigo Canna"
},
"Categories": [
{
"Id": 3542,
"Name": "Merchandise",
"Order": 5,
"Categories": [],
"Classifications": [
{
"Id": 3547,
"Name": "Accessories",
"Order": 1,
"ProductTemplate": {
"Id": 1186,
"Name": "Basic SK"
}
}
]
}
],
"Classifications": [
{
"Id": 3540,
"Name": "Flowers",
"Order": 1,
"ProductTemplate": {
"Id": 1186,
"Name": "Basic SK"
}
},
{
"Id": 3541,
"Name": "Oils and Concentrates",
"Order": 2,
"ProductTemplate": {
"Id": 1185,
"Name": "Strains SK"
}
}
],
"IsPrivate": true,
"Version": 0
}

Models​

Owner
NameDescriptionTypeAdditional information
IdUnique identifier of the owning CompanyintegerNone.
NameName of the owning CompanystringNone.
Category

A grouping of Classifications and other Categories. Categories can be nested to any depth.

NameDescriptionTypeAdditional information
IdUnique identifier of the CategoryintegerNone.
NameName of the CategorystringNone.
OrderDisplay position among its siblingsintegerNone.
CategoriesChild CategoriesCollection of CategoryNone.
ClassificationsClassifications in this CategoryCollection of ClassificationNone.
Classification

A group of Products that share a Product Template.

NameDescriptionTypeAdditional information
IdUnique identifier of the ClassificationintegerNone.
NameName of the ClassificationstringNone.
OrderDisplay position among its siblingsintegerNone.
ProductTemplateThe Product Template used by Products in this ClassificationProductTemplateNone.
ProductTemplate

A summary of the Product Template. Use the ProductTemplates calls to get the full template.

NameDescriptionTypeAdditional information
IdUnique identifier of the Product TemplateintegerNone.
NameName of the Product TemplatestringNone.

GET v1/Companies({CompanyId})/ProductTemplates​

Returns all the Product Templates available to a Company

Base URL:​

https://api.covasoft.net/productlibrary/

Example of a call would be:​

https://api.covasoft.net/productlibrary/v1/Companies({CompanyId})/ProductTemplates

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding packageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

A Product Template defines the Field Definitions, grouped into Field Groups, that Products in a Classification capture.

Collection of ProductTemplate

NameDescriptionTypeAdditional information
IdUnique identifier of the Product TemplateintegerNone.
NameName of the Product TemplatestringNone.
OwnerThe Company that owns the Product TemplateOwnerNone.
FieldGroupsGroups of Field Definitions that make up the templateCollection of FieldGroupNone.
IsArchivedWhether the Product Template has been archivedbooleanNone.
IsPrivateWhether the Product Template is private to the CompanybooleanNone.
ColorConfigurationHow color is handled for Products using this templateColorConfigurationNone.
LastModifiedUtcDate and time the Product Template was last modified, in UTCdateNone.
VersionVersion of the Product TemplateintegerNone.

Response Formats​

application/json, text/json

FieldGroups are shortened in this sample.

[
{
"Id": 1201,
"Name": "Edibles",
"Owner": {
"Id": 539009,
"Name": "Contigo Canna"
},
"FieldGroups": [
{
"Id": "4ba2f6a6-cdb7-41e9-a6e8-986f9e2b6332",
"Name": "General",
"FieldDefinitions": [
{
"IsVariation": false,
"IsMandatory": false,
"Id": 1,
"StringId": "Product Name",
"InputType": "TextSingleLine",
"IsRequired": true,
"LanguageInvariantUnit": "",
"DisplayName": "Product Name",
"Owner": null,
"Unit": "",
"LastModifiedUtc": "2016-09-21T02:34:16.6Z",
"IsPrivate": false,
"Options": [],
"LanguageInvariantName": "Product Name",
"IsArchived": false
}
]
},
{
"Id": "08dc8407-a923-48fc-9f22-743b80b99c80",
"Name": "Details",
"FieldDefinitions": [
{
"IsVariation": false,
"IsMandatory": false,
"Id": 1851,
"StringId": "Retail Marijuana Product Type - Canada 539009",
"InputType": "SingleSelect",
"IsRequired": false,
"LanguageInvariantUnit": "",
"DisplayName": "Retail Marijuana Product Type - Canada",
"Owner": {
"Id": 539009,
"Name": "Contigo Canna"
},
"Unit": "",
"LastModifiedUtc": "2020-04-03T16:57:15.808Z",
"IsPrivate": true,
"Options": [
{
"Id": 1,
"Value": "Flower"
},
{
"Id": 7,
"Value": "Edible Product"
}
],
"LanguageInvariantName": "Retail Marijuana Product Type - Canada 539009",
"IsArchived": false
}
]
}
],
"IsArchived": false,
"IsPrivate": true,
"ColorConfiguration": {
"HasColor": false,
"IsVariation": false
},
"LastModifiedUtc": "2024-09-20T18:05:12.326Z",
"Version": 6
}
]

Models​

Owner
NameDescriptionTypeAdditional information
IdUnique identifier of the owning CompanyintegerNone.
NameName of the owning CompanystringNone.
FieldGroup

A named group of Field Definitions within a Product Template.

NameDescriptionTypeAdditional information
IdUnique identifier of the Field Groupglobally unique identifierNone.
NameName of the Field GroupstringNone.
FieldDefinitionsField Definitions in this groupCollection of FieldDefinitionNone.
FieldDefinition

A Field Definition as it appears in a Product Template. It adds IsVariation and IsMandatory to the standalone Field Definition returned by the FieldDefinitions calls.

NameDescriptionTypeAdditional information
IsVariationWhether the field distinguishes Variations of a ProductbooleanNone.
IsMandatoryWhether the field is mandatory in this templatebooleanNone.
IdUnique identifier of the Field DefinitionintegerNone.
StringIdString identifier of the Field DefinitionstringNone.
InputTypeThe type of input the field accepts: TextSingleLine, TextMultipleLine, Integer, Float, Currency, YesNo, SingleSelect, Date or MultiSelectstringNone.
IsRequiredWhether a value is required for the fieldbooleanNone.
LanguageInvariantUnitUnit of measure that does not vary by languagestringNone.
DisplayNameName of the field shown to usersstringNone.
OwnerThe Company that owns the Field Definition, or null for a Field Definition provided by CovaOwnerNone.
UnitUnit of measure for the fieldstringNone.
LastModifiedUtcDate and time the Field Definition was last modified, in UTCdateNone.
IsPrivateWhether the Field Definition is private to the CompanybooleanNone.
OptionsThe values a user can select, for SingleSelect and MultiSelect fieldsCollection of FieldOptionNone.
LanguageInvariantNameName of the field that does not vary by languagestringNone.
IsArchivedWhether the Field Definition has been archivedbooleanNone.
FieldOption
NameDescriptionTypeAdditional information
IdUnique identifier of the optionintegerNone.
ValueThe option valuestringNone.
ColorConfiguration
NameDescriptionTypeAdditional information
HasColorWhether Products using this template have a colorbooleanNone.
IsVariationWhether color distinguishes Variations of a ProductbooleanNone.

GET v1/Companies({CompanyId})/ProductTemplates({id})​

Returns a single Product Template, including its Field Groups and Field Definitions

Base URL:​

https://api.covasoft.net/productlibrary/

Example of a call would be:​

https://api.covasoft.net/productlibrary/v1/Companies({CompanyId})/ProductTemplates({id})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding packageintegerRequired
idThe Id of the Product Template, as returned by the ProductTemplates call or the ProductTemplate of a ClassificationintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

The Product Template, with all of its Field Groups and Field Definitions.

ProductTemplate

NameDescriptionTypeAdditional information
IdUnique identifier of the Product TemplateintegerNone.
NameName of the Product TemplatestringNone.
OwnerThe Company that owns the Product TemplateOwnerNone.
FieldGroupsGroups of Field Definitions that make up the templateCollection of FieldGroupNone.
IsArchivedWhether the Product Template has been archivedbooleanNone.
IsPrivateWhether the Product Template is private to the CompanybooleanNone.
ColorConfigurationHow color is handled for Products using this templateColorConfigurationNone.
LastModifiedUtcDate and time the Product Template was last modified, in UTCdateNone.
VersionVersion of the Product TemplateintegerNone.

Response Formats​

application/json, text/json

FieldGroups are shortened in this sample.

{
"Id": 1201,
"Name": "Edibles",
"Owner": {
"Id": 539009,
"Name": "Contigo Canna"
},
"FieldGroups": [
{
"Id": "4ba2f6a6-cdb7-41e9-a6e8-986f9e2b6332",
"Name": "General",
"FieldDefinitions": [
{
"IsVariation": false,
"IsMandatory": false,
"Id": 1,
"StringId": "Product Name",
"InputType": "TextSingleLine",
"IsRequired": true,
"LanguageInvariantUnit": "",
"DisplayName": "Product Name",
"Owner": null,
"Unit": "",
"LastModifiedUtc": "2016-09-21T02:34:16.6Z",
"IsPrivate": false,
"Options": [],
"LanguageInvariantName": "Product Name",
"IsArchived": false
}
]
},
{
"Id": "08dc8407-a923-48fc-9f22-743b80b99c80",
"Name": "Details",
"FieldDefinitions": [
{
"IsVariation": false,
"IsMandatory": false,
"Id": 1851,
"StringId": "Retail Marijuana Product Type - Canada 539009",
"InputType": "SingleSelect",
"IsRequired": false,
"LanguageInvariantUnit": "",
"DisplayName": "Retail Marijuana Product Type - Canada",
"Owner": {
"Id": 539009,
"Name": "Contigo Canna"
},
"Unit": "",
"LastModifiedUtc": "2020-04-03T16:57:15.808Z",
"IsPrivate": true,
"Options": [
{
"Id": 1,
"Value": "Flower"
},
{
"Id": 7,
"Value": "Edible Product"
}
],
"LanguageInvariantName": "Retail Marijuana Product Type - Canada 539009",
"IsArchived": false
}
]
}
],
"IsArchived": false,
"IsPrivate": true,
"ColorConfiguration": {
"HasColor": false,
"IsVariation": false
},
"LastModifiedUtc": "2024-09-20T18:05:12.326Z",
"Version": 6
}

Models​

Owner
NameDescriptionTypeAdditional information
IdUnique identifier of the owning CompanyintegerNone.
NameName of the owning CompanystringNone.
FieldGroup

A named group of Field Definitions within a Product Template.

NameDescriptionTypeAdditional information
IdUnique identifier of the Field Groupglobally unique identifierNone.
NameName of the Field GroupstringNone.
FieldDefinitionsField Definitions in this groupCollection of FieldDefinitionNone.
FieldDefinition

A Field Definition as it appears in a Product Template. It adds IsVariation and IsMandatory to the standalone Field Definition returned by the FieldDefinitions calls.

NameDescriptionTypeAdditional information
IsVariationWhether the field distinguishes Variations of a ProductbooleanNone.
IsMandatoryWhether the field is mandatory in this templatebooleanNone.
IdUnique identifier of the Field DefinitionintegerNone.
StringIdString identifier of the Field DefinitionstringNone.
InputTypeThe type of input the field accepts: TextSingleLine, TextMultipleLine, Integer, Float, Currency, YesNo, SingleSelect, Date or MultiSelectstringNone.
IsRequiredWhether a value is required for the fieldbooleanNone.
LanguageInvariantUnitUnit of measure that does not vary by languagestringNone.
DisplayNameName of the field shown to usersstringNone.
OwnerThe Company that owns the Field Definition, or null for a Field Definition provided by CovaOwnerNone.
UnitUnit of measure for the fieldstringNone.
LastModifiedUtcDate and time the Field Definition was last modified, in UTCdateNone.
IsPrivateWhether the Field Definition is private to the CompanybooleanNone.
OptionsThe values a user can select, for SingleSelect and MultiSelect fieldsCollection of FieldOptionNone.
LanguageInvariantNameName of the field that does not vary by languagestringNone.
IsArchivedWhether the Field Definition has been archivedbooleanNone.
FieldOption
NameDescriptionTypeAdditional information
IdUnique identifier of the optionintegerNone.
ValueThe option valuestringNone.
ColorConfiguration
NameDescriptionTypeAdditional information
HasColorWhether Products using this template have a colorbooleanNone.
IsVariationWhether color distinguishes Variations of a ProductbooleanNone.

GET v1/Companies({CompanyId})/FieldDefinitions​

Returns all the Field Definitions available to a Company

Base URL:​

https://api.covasoft.net/productlibrary/

Example of a call would be:​

https://api.covasoft.net/productlibrary/v1/Companies({CompanyId})/FieldDefinitions

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding packageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

A Field Definition describes a single piece of Product data, such as its type, unit and the options a user can select.

Collection of FieldDefinition

NameDescriptionTypeAdditional information
IdUnique identifier of the Field DefinitionintegerNone.
StringIdString identifier of the Field DefinitionstringNone.
InputTypeThe type of input the field accepts: TextSingleLine, TextMultipleLine, Integer, Float, Currency, YesNo, SingleSelect, Date or MultiSelectstringNone.
IsRequiredWhether a value is required for the fieldbooleanNone.
LanguageInvariantUnitUnit of measure that does not vary by languagestringNone.
DisplayNameName of the field shown to usersstringNone.
OwnerThe Company that owns the Field Definition, or null for a Field Definition provided by CovaOwnerNone.
UnitUnit of measure for the fieldstringNone.
LastModifiedUtcDate and time the Field Definition was last modified, in UTCdateNone.
IsPrivateWhether the Field Definition is private to the CompanybooleanNone.
OptionsThe values a user can select, for SingleSelect and MultiSelect fieldsCollection of FieldOptionNone.
LanguageInvariantNameName of the field that does not vary by languagestringNone.
IsArchivedWhether the Field Definition has been archivedbooleanNone.

Response Formats​

application/json, text/json

The list is shortened in this sample.

[
{
"Id": 1855,
"StringId": "Multiselect field 539009",
"InputType": "MultiSelect",
"IsRequired": false,
"LanguageInvariantUnit": "",
"DisplayName": "Multiselect field",
"Owner": {
"Id": 539009,
"Name": "Contigo Canna"
},
"Unit": "",
"LastModifiedUtc": "2026-09-01T20:07:16.331Z",
"IsPrivate": true,
"Options": [
{
"Id": 1,
"Value": "Selection 1"
},
{
"Id": 2,
"Value": "Selection 2"
}
],
"LanguageInvariantName": "Multiselect field 539009",
"IsArchived": false
},
{
"Id": 1873,
"StringId": "Net Weight 539009",
"InputType": "Float",
"IsRequired": false,
"LanguageInvariantUnit": "g",
"DisplayName": "Net Weight",
"Owner": {
"Id": 539009,
"Name": "Contigo Canna"
},
"Unit": "g",
"LastModifiedUtc": "2018-12-18T16:17:47.216Z",
"IsPrivate": true,
"Options": [],
"LanguageInvariantName": "Net Weight 539009",
"IsArchived": false
}
]

Models​

Owner
NameDescriptionTypeAdditional information
IdUnique identifier of the owning CompanyintegerNone.
NameName of the owning CompanystringNone.
FieldOption
NameDescriptionTypeAdditional information
IdUnique identifier of the optionintegerNone.
ValueThe option valuestringNone.

GET v1/Companies({CompanyId})/FieldDefinitions({id})​

Returns a single Field Definition

Base URL:​

https://api.covasoft.net/productlibrary/

Example of a call would be:​

https://api.covasoft.net/productlibrary/v1/Companies({CompanyId})/FieldDefinitions({id})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding packageintegerRequired
idThe Id of the Field Definition, as returned by the FieldDefinitions callintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

The Field Definition, including the options a user can select.

FieldDefinition

NameDescriptionTypeAdditional information
IdUnique identifier of the Field DefinitionintegerNone.
StringIdString identifier of the Field DefinitionstringNone.
InputTypeThe type of input the field accepts: TextSingleLine, TextMultipleLine, Integer, Float, Currency, YesNo, SingleSelect, Date or MultiSelectstringNone.
IsRequiredWhether a value is required for the fieldbooleanNone.
LanguageInvariantUnitUnit of measure that does not vary by languagestringNone.
DisplayNameName of the field shown to usersstringNone.
OwnerThe Company that owns the Field Definition, or null for a Field Definition provided by CovaOwnerNone.
UnitUnit of measure for the fieldstringNone.
LastModifiedUtcDate and time the Field Definition was last modified, in UTCdateNone.
IsPrivateWhether the Field Definition is private to the CompanybooleanNone.
OptionsThe values a user can select, for SingleSelect and MultiSelect fieldsCollection of FieldOptionNone.
LanguageInvariantNameName of the field that does not vary by languagestringNone.
IsArchivedWhether the Field Definition has been archivedbooleanNone.

Response Formats​

application/json, text/json

{
"Id": 1855,
"StringId": "Multiselect field 539009",
"InputType": "MultiSelect",
"IsRequired": false,
"LanguageInvariantUnit": "",
"DisplayName": "Multiselect field",
"Owner": {
"Id": 539009,
"Name": "Contigo Canna"
},
"Unit": "",
"LastModifiedUtc": "2026-09-01T20:07:16.331Z",
"IsPrivate": true,
"Options": [
{
"Id": 1,
"Value": "Selection 1"
},
{
"Id": 2,
"Value": "Selection 2"
},
{
"Id": 5,
"Value": "Selection 3"
},
{
"Id": 3,
"Value": "Selection Red"
},
{
"Id": 4,
"Value": "Selection Blue"
},
{
"Id": 6,
"Value": "Selection Orange"
},
{
"Id": 7,
"Value": "Selection Purple"
},
{
"Id": 8,
"Value": "Selection 4"
}
],
"LanguageInvariantName": "Multiselect field 539009",
"IsArchived": false
}

Models​

Owner
NameDescriptionTypeAdditional information
IdUnique identifier of the owning CompanyintegerNone.
NameName of the owning CompanystringNone.
FieldOption
NameDescriptionTypeAdditional information
IdUnique identifier of the optionintegerNone.
ValueThe option valuestringNone.